/*-- Messages --*/

#strict

func Initialize() {
  return(1);
}

global func PrepareMessage(szMessage) {
  return(Format("@||||<c ffaa22>%s", szMessage));
}

global func DisplayMessage(szTopic, val1, val2, val3, val4) {
  var szPrefix = "";
  var szPostfix = "";
  var iPlayer = iCurrentPlayer;
  var szPlayer = GetPlayerName(iPlayer);
  if(szTopic eq "None") return(Message(""));
  if(szTopic eq "GameSize") return(Message(PrepareMessage("$GameSize$"), 0, szPlayer));
  if(szTopic eq "PlayersTurn") return(Message(PrepareMessage("$PlayersTurn$"), 0, szPlayer));
  if(szTopic eq "PlayerWon") return(Message(PrepareMessage("$PlayerWon$"), 0, val1));
  if(szTopic eq "PlayersWon") return(Message(PrepareMessage("$PlayersWon$"), 0, val2, val1));
  if(szTopic eq "Summary") {
    var szResult = Format("$Summary1$", szPlayer, val1, val2);
    if(val3 == -1) szResult = Format("%s$Summary2$", szResult, val4);
    if(val3 == 0)  szResult = Format("%s$Summary3$", szResult);
    if(val3 == 1)  szResult = Format("%s$Summary4$", szResult);
    return(Message(PrepareMessage(szResult)));
  }
}